package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.GarbageRegionExample;
import com.lightinit.hsdatashow.entity.GreenForestDistribution;
import com.lightinit.hsdatashow.entity.GreenForestDistributionExample;
import java.util.List;

import com.lightinit.hsdatashow.model.ms.GreenModel;
import org.apache.ibatis.annotations.Param;

public interface GreenForestDistributionMapper {
    long countByExample(GreenForestDistributionExample example);

    int deleteByExample(GreenForestDistributionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(GreenForestDistribution record);

    int insertSelective(GreenForestDistribution record);

    List<GreenForestDistribution> selectByExample(GreenForestDistributionExample example);

    GreenForestDistribution selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") GreenForestDistribution record, @Param("example") GreenForestDistributionExample example);

    int updateByExample(@Param("record") GreenForestDistribution record, @Param("example") GreenForestDistributionExample example);

    int updateByPrimaryKeySelective(GreenForestDistribution record);

    int updateByPrimaryKey(GreenForestDistribution record);

    List<GreenModel> selectList(GarbageRegionExample example);

    long selectCount(GarbageRegionExample example);

    GreenModel findByForestId(Long id);
}